Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357192 - [abrt] sddm: QObject::connect(): sddm killed by SIGSEGV
Summary: [abrt] sddm: QObject::connect(): sddm killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sddm
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1224a5da87d80dbdd0ab18de4e1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-16 08:36 UTC by Mario Curcija
Modified: 2017-08-08 15:38 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:38:33 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-16 08:36 UTC, Mario Curcija
no flags Details
File: cgroup (deleted)
2016-07-16 08:36 UTC, Mario Curcija
no flags Details
File: core_backtrace (deleted)
2016-07-16 08:36 UTC, Mario Curcija
no flags Details
File: dso_list (deleted)
2016-07-16 08:36 UTC, Mario Curcija
no flags Details
File: environ (deleted)
2016-07-16 08:36 UTC, Mario Curcija
no flags Details
File: exploitable (deleted)
2016-07-16 08:36 UTC, Mario Curcija
no flags Details
File: limits (deleted)
2016-07-16 08:36 UTC, Mario Curcija
no flags Details
File: maps (deleted)
2016-07-16 08:36 UTC, Mario Curcija
no flags Details
File: mountinfo (deleted)
2016-07-16 08:36 UTC, Mario Curcija
no flags Details
File: namespaces (deleted)
2016-07-16 08:36 UTC, Mario Curcija
no flags Details
File: open_fds (deleted)
2016-07-16 08:36 UTC, Mario Curcija
no flags Details
File: proc_pid_status (deleted)
2016-07-16 08:36 UTC, Mario Curcija
no flags Details
File: var_log_messages (deleted)
2016-07-16 08:36 UTC, Mario Curcija
no flags Details

Description Mario Curcija 2016-07-16 08:36:18 UTC
Description of problem:
Probably related:  
https://bugzilla.redhat.com/show_bug.cgi?id=1354630

1. in KDE use Switch user - start new Session
2. SDDM greeter appears
3, logged in with another user

first Session chrashes (xorg + sddm)

Version-Release number of selected component:
sddm-0.13.0-7.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/bin/sddm
crash_function: QObject::connect
executable:     /usr/bin/sddm
global_pid:     1071
kernel:         4.6.3-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QObject::connect at kernel/qobject.cpp:2679
 #1 SDDM::Auth::Private::setSocket at /usr/src/debug/sddm-0.13.0/src/auth/Auth.cpp:141
 #2 SDDM::Auth::SocketServer::handleNewConnection at /usr/src/debug/sddm-0.13.0/src/auth/Auth.cpp:93
 #3 QMetaObject::activate at kernel/qobject.cpp:3730
 #4 QLocalServerPrivate::_q_onNewConnection at socket/qlocalserver_unix.cpp:274
 #5 QMetaObject::activate at kernel/qobject.cpp:3730
 #7 QSocketNotifier::activated at .moc/moc_qsocketnotifier.cpp:135
 #8 QSocketNotifier::event at kernel/qsocketnotifier.cpp:260
 #9 doNotify at kernel/qcoreapplication.cpp:1090
 #10 QCoreApplication::notifyInternal2 at kernel/qcoreapplication.cpp:1015

Potential duplicate: bug 1297238

Comment 1 Mario Curcija 2016-07-16 08:36:25 UTC
Created attachment 1180387 [details]
File: backtrace

Comment 2 Mario Curcija 2016-07-16 08:36:26 UTC
Created attachment 1180388 [details]
File: cgroup

Comment 3 Mario Curcija 2016-07-16 08:36:27 UTC
Created attachment 1180389 [details]
File: core_backtrace

Comment 4 Mario Curcija 2016-07-16 08:36:29 UTC
Created attachment 1180390 [details]
File: dso_list

Comment 5 Mario Curcija 2016-07-16 08:36:31 UTC
Created attachment 1180391 [details]
File: environ

Comment 6 Mario Curcija 2016-07-16 08:36:32 UTC
Created attachment 1180392 [details]
File: exploitable

Comment 7 Mario Curcija 2016-07-16 08:36:34 UTC
Created attachment 1180393 [details]
File: limits

Comment 8 Mario Curcija 2016-07-16 08:36:35 UTC
Created attachment 1180394 [details]
File: maps

Comment 9 Mario Curcija 2016-07-16 08:36:37 UTC
Created attachment 1180395 [details]
File: mountinfo

Comment 10 Mario Curcija 2016-07-16 08:36:39 UTC
Created attachment 1180396 [details]
File: namespaces

Comment 11 Mario Curcija 2016-07-16 08:36:40 UTC
Created attachment 1180397 [details]
File: open_fds

Comment 12 Mario Curcija 2016-07-16 08:36:42 UTC
Created attachment 1180398 [details]
File: proc_pid_status

Comment 13 Mario Curcija 2016-07-16 08:36:43 UTC
Created attachment 1180399 [details]
File: var_log_messages

Comment 14 Mario Curcija 2016-07-22 21:25:47 UTC
After updating to xorg-x11-server-Xorg-1.18.4-1.fc24.x86_64.rpm i am not able to reproduce this problem using KDE switch user/start new session.

Comment 15 Daniel 2016-08-22 16:20:25 UTC
*** Bug 1369205 has been marked as a duplicate of this bug. ***

Comment 16 Mario Curcija 2016-09-12 17:22:29 UTC
Similar problem has been detected:

0. Fedora 24 KDE spin - up to date
1. logged in KDE Plasma session
2. Screen lock / new Session (or switch user)
3. xorg-x11-server crash followed by sddm crash

Result: unable to start second session due to crashes in Step 3.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/sddm
crash_function: QObject::connect
executable:     /usr/bin/sddm
global_pid:     1213
kernel:         4.7.2-201.fc24.x86_64
package:        sddm-0.13.0-7.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         sddm killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0

Comment 17 Mario Curcija 2016-09-12 17:26:13 UTC
Same problem with xorg-x11-server-Xorg-1.18.4-4.fc24.x86_64

Comment 18 Fedora End Of Life 2017-07-25 21:50:11 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 19 Fedora End Of Life 2017-08-08 15:38:33 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.